Page MenuHomePhabricator

Add documentation links to TechTalk Youtube Videos
Closed, ResolvedPublic

Description

The goal is to have good descriptions in the most relevant videos at https://www.youtube.com/user/watchmediawiki
Links to all past tech talk videos: https://www.mediawiki.org/wiki/Tech_talks#Past_tech_talks

Step 1: Add one-line bio of the speaker(s) of the video
Step2: Go through the video and extract relevant links
Step3: Add the new description to commons

Template for the description:
-Speaker Name (Their one-line bio)
-Summary
-Relevant links

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Rfarrand claimed this task.Nov 5 2014, 9:54 PM
Rfarrand changed Security from none to None.
Rfarrand added a subscriber: Rfarrand.

This task is missing a description. The other way round ould be done as well: link to Tech Talk videos from the corresponding wiki pages.

I have the youtube videos linked from the tech talk pages - I just have not linked to documentation on each talk from YouTube. It might actually take a little while to dig around and find all of the documentation/project pages.

Past tech talks listed with YouTube links: https://www.mediawiki.org/wiki/Project:Calendar/How_to_schedule_an_event/TechTalks

I mean, linking to the videos from the project pages. For instance, a link from https://www.mediawiki.org/wiki/MediaWiki-Vagrant to the last Tech Talk about MediaWiki Vagrant.

I wonder whether Google Code-in could be of any help here.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 9:02 AM
Spage added a subscriber: Spage.EditedOct 27 2015, 7:54 PM

I created Template:Tech talk video {{Tech talk video| link= youtube link | date= date | title= talk title }} that outputs

  • "Watch 2015-10-19 Tech talk on "Free and open source licensing at Wikimedia".

then just add this to the relevant pages that had tech talks. Maybe also use this template on the Tech talks page itself, though that has extra links.
Done on MediaWiki-Vagrant, Performance team, Phabricator -- check https://www.mediawiki.org/wiki/Special:WhatLinksHere/Template:Tech_talk_video

Aklapper added a comment.EditedOct 28 2015, 1:56 PM
In T1119#1648391, @Qgil wrote:

I wonder whether Google Code-in could be of any help here.

I think it could if @Rfarrand defines a good "generic" (cloneable) beginner task, like
"Wikimedia occassionally hosts Tech talks (FIXME: That page does not even explain what a Tech Talk is). Go to this link which is a list of Wikimedia TechTalk videos on Youtube. Pick one video, thoroughly understand which topic the Tech Talk video is about, identify a number of key terms you would associate with the Tech Talk topic, search for documentation wiki pages on Wikimedia sites (meta.wikimedia.org, mediawiki.org, potentially commons.wikimedia.org and en.wikipedia.org, wikimediafoundation.org, FIXME: any others?) which are strongly related to the Tech Talk's topic, and provide a list of links to these wiki pages plus information which video you chose".
(The action of updating the Youtube description requires special permissions so that's out of scope for GCI I'd say.)

@Rfarrand: Want to give this a shot ?

Edit: I hadn't seen Spage's last comment when I wrote my comment.

@Rfarrand: Ping. (Though I'm not sure how S' last comment is related, or if that would be separate here.)

Qgil reassigned this task from Rfarrand to husn_shujaat.Apr 5 2016, 8:30 PM
Qgil added a subscriber: husn_shujaat.

@husn_shujaat based on T85593#2170408 I think this is a good task for you. I'm taking the liberty to steal it from @Rfarrand and assign it to you. I'm scheduling it for our currently quarterly milestone.

The goal is to have good descriptions in the most relevant videos at https://www.youtube.com/user/watchmediawiki

As a first objective, I propose that you define a template for these descriptions. What information should it have, and any special format? It doesn't need to be anything complex. In fact, the simpler the better, as long as the basic information is provided.

Once we agree on the template, let's discuss on which videos would need to get it first (we have many videos, and not all of them are equally interesting nowadays).

Please confirm this plan works for you, and feel free to suggest improvements. :) Thank you!

Thanks for assigning this to me, I was looking for such tasks.
The plan looks good to me.

I saw some techtalks videos and their descriptions give some good ideas for templates.

  • Speaker/Credits
  • Summary
  • IRC (channel)
  • Relevant links (All the webpages mentioned in the video, for example, link of T113066 should be in the description of Tech Talk: New readership data...) We could also mention the time of when these links/webpages were shown.

Thank you @husn_shujaat !

  • Speaker/Credits

Yes, the main speakers are enough. All the better if we could link to their user page in mediawiki.org.

Summary

Yes, paying attention to keywords that might bring more on-topic viewers to these videos.

IRC (channel)

Hm. I would not get too obsessed about this. Usually the simultaneous chat is interesting only during the tech talk, but not after that.

Relevant links (All the webpages mentioned in the video, for example, link of T113066 should be in the description of Tech Talk: New readership data...) We could also mention the time of when these links/webpages were shown.

If you are ready to do this work, then this will be excellent indeed. One thought though: in an ideal world these videos should be in https://commons.wikimedia.org, and that information would be very interesting to have in the their description pages. You have the choice of detailing this information both in YouTube (since it might attract more viewers) and Commons (the canonical location of these videos), or you can have it only in Commons, and link to there from the YouTube page. Up to you, whatever you think is more feasible.

As soon as we agree on the description, the next step will be to agree on which videos should get priority. Not all of them are equally relevant, and you should be able to focus your time on the videos that matter most.

Qgil raised the priority of this task from Low to Normal.Apr 6 2016, 8:22 AM
Qgil moved this task from Backlog to April on the Developer-Advocacy (Apr-Jun-2016) board.

Pleasure is all mine!

in an ideal world these videos should be in https://commons.wikimedia.org, and that information would be very interesting to have in the their description pages. You have the choice of detailing this information both in YouTube (since it might attract more viewers) and Commons (the canonical location of these videos), or you can have it only in Commons, and link to there from the YouTube page. Up to you, whatever you think is more feasible.

Yes, I can do that, it'll only take copy/paste to put description in both places.

It's a yes from me on this template (speaker, summary, links).
Do you think we can move on to the videos?

Qgil updated the task description. (Show Details)Apr 6 2016, 7:44 PM
Qgil added a comment.EditedApr 6 2016, 7:55 PM

Great! Let's move onto the videos. It makes sense to start with the Tech Talks. We can work on a specific one, and then when we are happy about it, we can apply the same formula to the rest.

I propose to start with this one:

After almost three weeks, it has 77 views and 1 like in YouTube, 28 views in Commons. Let's see whether we can drive more YouTube attention there. :)

Since it is available in Commons, we can edit the description there at will, and when we are happy about it we can copy it to YouTube. OK?

OK!
I'll start with the description at commons.
The youtube video is linked at commons but not the other way round.
I think it's a good idea to have the youtube link at the source in commons as it is in this video.

P.S: It was me who liked it :D

This comment was removed by husn_shujaat.

This is very good! I made some edits to link to the speaker user profile in mediawiki.org, to add some relevant links to the description, and to simplify the format of the list of links (we try to avoid HTML in wikitext when possible).

It would be useful to add a one line description of the speaker, which you can usually borrow from their user profiles.

Finally, clicking at What links here one can see that there is no relevant page linking to this video in the entire collection of Wikimedia wikis. This is not useful! You can improve this situation by finding the relevant pages, and embedding the video there.

Let me do this once to provide an example: https://meta.wikimedia.org/w/index.php?title=Research%3ACharacterizing_Wikipedia_Reader_Behaviour&type=revision&diff=15506568&oldid=15428580 (I did it with the regular "Edit" / VisualEditor link and the Tech Talk video was already the second result suggested as media, maybe your good description is starting to work semantically?). :)

I was thinking that we could maintain a table in the description of this task to track progress, along these lines:

YouTube videoDescription in YouTubeDescription in CommonsEmbedded in Wikimedia pages
Tech Talk: New readership dataDONE

Thank you! :)
I'll see to adding the speaker's description.

I will embed the videos, but I can't get how to put the links to this page?
Do you think I should just embed the videos in the links mentioned in the description (except for [[ https://phabricator.wikimedia.org/T113066

T113066 ]] of course)? Will those be enough?

The idea of the table is a great way of keeping track of our progress.

husn_shujaat updated the task description. (Show Details)Apr 7 2016, 11:19 AM

Thanks so much for this work! Its great. Just a few links for you in case this helps.

  1. I try to keep this updated with all tech talks, however I have missed a few recently. I will go back and update soon: https://www.mediawiki.org/wiki/Tech_talks
  2. Here is a collection of all of the tech talks we have done in case any are missing:

https://www.youtube.com/user/watchmediawiki

Let me know if I can help you!

This comment was removed by husn_shujaat.

That list is very helpful, thanks!

I need help in deciding which tech talk video should be on which wiki page?
For the start, let's just consider 'The readership data' one.
So far, @Qgil embedded it in here and I embedded it here. Is there any where else where the video should go?

You can edit the list by clicking the "Edit Task" link above.

A couple of wiki pages mentioned in the video itself is a good guidance. Let's go for more?

I think it is good to do more videos available in Commons while we figure out (this week, I expect) your permissions on MediaWiki's YouTube account. Are you OK with this?

Yes, I'm totally ok with it.
I'll now start with https://www.youtube.com/watch?v=_yr5z9Ix2f8

I have my exams starting next week, I'm just too busy.
I was wondering if I can resume working on this task from June 10 (that's when my exams end)
Is that OK?

Of course @husn_shujaat ! First thing first. I wish you best luck with the exams.

@Qgil Thank you so much! :)

husn_shujaat updated the task description. (Show Details)Jun 12 2016, 8:12 AM
Aklapper added a comment.EditedJul 7 2016, 10:29 AM

In T1119#2194307, @Qgil wrote:

while we figure out (this week, I expect) your permissions on MediaWiki's YouTube account.

I'm wondering who knows about these permissions and how to go ahead when it comes to allowing more people to update description of existing Youtube videos.
@Rfarrand maybe?

@Rfarrand: Do you know? ^^^

@Aklapper Sorry for missing your pings here, yes! I can give permissions to the YouTube channel. So can Byron, Quim, Chris, James A, & Tilman.
Happy to add anyone you want me to.

Qgil added a comment.EditedAug 8 2016, 8:45 AM

A related comment:

Here is another approach to this task: let's focus on assuring that current and future presentations are properly published in their related mediawiki.org pages. At least we will avoid making this problem bigger.

We could apply the same idea to new videos produced. For instance, there was a CREDIT showcase last week:

Stream: https://www.youtube.com/watch?v=BOj6nDbdPMA
Stas: small WDQS GUI updates - https://www.mediawiki.org/wiki/Wikidata_query_service

husn_shujaat updated the task description. (Show Details)Aug 9 2016, 12:58 PM

Good idea. I'll get the two at commons done.
But I think we should create a seperate task for CREDITs .
Let this one be for tech talks only.

Good idea. You can create the task yourself. Let me know if you have any questions.

There is tiiiiny bit problem at youtube. When I add link of a speaker's profile, there is usually a ')' at its end, and youtube's code refuses to include that in the URL, so we end up with an invalid page :/
See https://www.youtube.com/watch?v=sWiDimlK4bE
What to do?

husn_shujaat updated the task description. (Show Details)Aug 15 2016, 7:37 PM

You are right! I have tried to edit the description using Markdown syntax or HTML but it won't work either.

Well... then I think it is better not to specify those wrong links and point to their team pages instead. Team pages are going to be more informative than most user pages anyway.

When I add link of a speaker's profile, there is usually a ')' at its end, and youtube's code refuses to include that in the URL, so we end up with an invalid page. What to do?

@husn_shujaat: Instead of entering https://wikimediafoundation.org/wiki/User:Slaporte_(WMF) could you try encoding the brackets by using https://wikimediafoundation.org/wiki/User:Slaporte_%28WMF%29 maybe? Just an idea how to work around...

@Aklapper that worked! thanks :)

@husn_shujaat do you want to keep working on this task during this quarter?

husn_shujaat added a comment.EditedNov 26 2016, 4:45 PM

I wonder if I could put this as a Google Code-In task.
Like, 1 task would include 1 video and so this could be a recurring task.

@husn_shujaat: If this was a GCI task, what exactly would be expected from a GCI student here? :)

husn_shujaat added a comment.EditedNov 27 2016, 6:52 PM

@Aklapper Take my place for the time being. Go through the video and extract the relevant links. Add a one-line bio of the speaker. :)
The summary is usually already there.
This all goes into the description of the video in commons

If I was a student, what will I have to do after extracting relevant links? Where I am expected to add a one-line bio of the speaker?
The thing is: We need to clearly communicate expectations to students, to avoid misunderstandings or wrong expectations on both sides :)

Alright, so this would refer to Commons only... :)
So as a student, how exactly would I find a video that still needs some documentation links added?

husn_shujaat added a comment.EditedNov 27 2016, 8:03 PM

Ah, right. I'll put the page with links in the description.
Yeah, they can add the description in the commons, I'll put it to youtube :)

husn_shujaat updated the task description. (Show Details)Nov 27 2016, 8:04 PM
srishakatux added a subscriber: srishakatux.EditedDec 9 2016, 12:13 AM

@Aklapper @husn_shujaat I created a playlist for 'Tech talks' on our Youtube channel. All tech talks now lie here https://www.youtube.com/playlist?list=PLeoTcBlDanyMPuVYBZYbEORNezmemiAhv. I've created a GCI task about adding documentation for tech talk videos: https://codein.withgoogle.com/dashboard/tasks/5210795455545344/preview/. I haven't published it yet, but I have tried to frame the description as such that we could have several instances of it, where each student could choose to work on two videos at one time. If this sounds good, I will create a similar task with some additions for the one on CREDIT showcase and update the instance count to 5ish.

@srishakatux this is perfect! Thank you :)

Qgil closed this task as Resolved.Sep 12 2017, 9:04 AM

Similarly to T142728: Add documentation to CREDIT videos, I think this task has run its course. Thank very much for your help @husn_shujaat!

@Rfarrand @srishakatux from now any any new Tech Talk should have beforehand a proper plan for

  • being published in YouTube with a proper title, description, and whatever information will make them easier to be found
  • being published in Commons short after the event with the same
  • being embedded in the right wiki pages so they can be found by the people checking that documentation.

I hope you will agree with this sensible plan not to increase our "communication debt" with Tech Talks.